/* PC版CSS */
@media (min-width: 769px) {
  header {
    background-color: transparent;
    padding: 10px 0;
    box-shadow: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    width: 100%;
    z-index: 100;
  }

.logo {
  position: fixed;
  width: 400px;
  top: 5%;
  left: 50px;
}



  .header-text {
    position: fixed; /* この行を修正 */
    top: 12%;
    left: 80px;
    font-family: "Yu Gothic", "游ゴシック", "ヒラギノ角ゴ Pro W3","メイリオ", sans-serif;
    font-weight: 400;
    letter-spacing: 0.1em;
    color: #fff;
    font-size: 30px;
    z-index: 101;
  }

body::before {
    background: url('background.jpg') no-repeat center center fixed;
    background-size: cover;
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
}

body {
font-family: "Yu Gothic", "游ゴシック", "ヒラギノ角ゴ Pro W3","メイリオ", sans-serif;
font-weight: 300;
letter-spacing: 0.1em;
color: #fff;
background: #ffffff;
background: url('background.jpg') no-repeat center center fixed;
background-size: cover;
  }

nav {
  position: fixed;
  top: 15%;
  right: 30px;
}

nav ul li {
  margin: 10px 0;
  text-align: right;
}

nav ul li a {
  font-size: 1.5rem;
  color: #fff;
  text-decoration: none;
}

nav ul > li > a,
span.dropdown-toggle {
  color: inherit;
  text-decoration: none;
  transition: color 0.2s ease-in-out; /* 追加 */
}

nav ul > li > a:hover,
span.dropdown-toggle:hover {
  color: dimgray ; /* カーソルを合わせたときの色をグレーに設定 */
}

.dropdown {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.6s ease-in-out;
}

.dropdown.open {
  max-height: 200px; /* 必要に応じて適切な値に変更してください */
}

span.dropdown-toggle {
  font-size: 1.5rem; /* 適切なフォントサイズに変更してください */
  color: inherit;
  text-decoration: none;
  display: inline-block;
  user-select: none; 
  cursor: pointer; 
}

.expand > .dropdown {
  display: block;
}

main {
  position: fixed;
  top: 20%;
  left: 80px; /* 左端から30pxに変更 */
  right: 280px; /* 右端から100pxに変更 */
  width: auto; /* 幅を自動に変更 */
  max-height: 75%;
  overflow-y: scroll;
  overflow-x: hidden;
}

  .image-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  }
  
  .image-container img {
  width: calc(33.333% - 10px);
  height: auto;
  margin-bottom: 10px;
  }

}

/* スマホ版CSS */
@media (max-width: 768px) {
  header {
    flex-direction: column; 
    align-items: center; 
    justify-content: space-between;
    position: fixed;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 10; 
    background: none; /* 背景を透明にする */
    padding: 0; /* パディングをリセット */
    height: auto; /* 高さを自動にする */
  }

  .header-text {
    position: absolute;
    font-family: "Yu Gothic", "游ゴシック", "ヒラギノ角ゴ Pro W3","メイリオ", sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10px; /* この行を維持 */
    right: 50%;
    left: 50%;
    font-weight: 500;
    letter-spacing: 0.1em;
    color: #fff;
    font-size: 20px;
    text-align: center;
    z-index: 101; /* 追加 */
    font-weight: 300;
  }

body::before {
    background: url('background2.jpg') no-repeat center center fixed;
    background-size: cover;
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
}

  body {
    font-family: "Yu Gothic", "游ゴシック", "ヒラギノ角ゴ Pro W3","メイリオ", sans-serif;
    font-weight: 300;
    letter-spacing: 0.1em;
    color: #ffffff;
    background: #ffffff;
    background: url('background2.jpg') no-repeat center center fixed;
    background-size: cover;
  }


  .logo {
    width: 200px;
    margin: 10px 0;
    position: fixed;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
z-index: 102; /* 追加 */
  }

  .overlay {
    align-items: flex-end; /* オーバーレイの右下にメニューを配置 */
  }

  .overlay.active {
    display: flex;
  }

  nav {
    display: none;
    flex-direction: column;
    align-items: flex-start;
    position: absolute;
    padding: 10px;
    right: 25px;
    top: auto;
    bottom: 50px;
    z-index: 10;
  }

.small-font {
  font-size: 1.0rem; /* 好みのサイズに調整してください */
}

  nav ul li {
    margin: 10px 0;
    text-align: right;
  }

  nav ul li a {
    font-size: 1.2rem;
    color: #fff;
    text-decoration: none;
  }

  @keyframes slide-in {
    0% {
      transform: translateY(-100%);
    }
    100% {
      transform: translateY(0%);
    }
  }

  main {
    position: fixed;
    top: 100px;
    left: 5%;
    transform: none;
    padding: 0;
    margin: auto;
    max-width: 90%;
    max-height: 80%;
    overflow-y: scroll;
    overflow-x: hidden;
    z-index: 1;
  }

  .image-container img {
    width: calc(100% - 0px);
  }

  #menu-icon {
    position: fixed;
    bottom: 13px;
    right: 30px;
    color: #fff;
    font-size: 2rem;
    cursor: pointer;
    display: inline;
    font-family: "Font Awesome 5 Free";
  }
}


/* その他の共通スタイル */


/* ロゴ */
.logo img {
  width: 100%;
  min-width: auto;
  height: auto;
}


main::-webkit-scrollbar {
width: 6px;
background-color: transparent;
}

main::-webkit-scrollbar-thumb {
background-color: rgba(255, 255, 255, 0.3);
border-radius: 3px;
}

main::-webkit-scrollbar-track {
background-color: rgba(0, 0, 0, 0.1);
border-radius: 3px;
}

main {
scrollbar-width: thin;
scrollbar-color: rgba(255, 255, 255, 0.3) rgba(0, 0, 0, 0.1);
}

/* グローバルメニュー内のリストスタイルをなしにする */
nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

nav ul li {
  margin-bottom: 10px;
}

/* PC表示でメニューアイコンを非表示にする */
@media (min-width: 769px) {
  #menu-icon {
    display: none;
  }
}